#! /usr/bin/env python
#
#networkconfiguration.py
#
#Copyright (c) 2014 by Micron Optics, Inc.  All Rights Reserved
#
"""This file illustrates how to configure the network settings
"""
from time import sleep
import sys
import hyperion
"""This example will change the static IP address, and attempt to connect to 
the new address.  If the instrument was originally in DHCP mode, it will
be returned to that mode upon completion.
"""

currentAddress = '10.0.41.2'
newStaticAddress = '10.0.41.3'

h1 = hyperion.Hyperion(currentAddress)

currentIPMode = h1.get_network_ip_mode()

currentStaticSettings = h1.get_static_network_settings()

print "Current IP mode: " + currentIPMode
print "Old Static settings: " + repr(currentStaticSettings)

#Set the desired static settings here
h1.set_static_network_settings(newStaticAddress,'255.255.0.0','10.0.0.1')

if currentIPMode == "STATIC":
    h1.comm.close()
    print "Connection closed.  Reconnecting to new static address"
    sleep(5)

else:
    print "New static settings:  " + repr(h1.get_static_network_settings())

    #only run this line if you know you can connect to the instrument on the
    #static IP address
    h1.set_network_ip_mode('Static')
    h1.comm.close()

    print "Waiting while instrument is reconfigured"
    sleep(10)


try:
    h1 = hyperion.Hyperion(newStaticAddress)

except HyperionError as e:
    print e
    print 'Failed to connect to new static IP address'

else:
    
    print 'Returning to original IP Mode'
    sleep(2)

    #Return to original state

    h1.set_network_ip_mode(currentIPMode)
    
    


