#! /usr/bin/env python
#
#simpleconsole.py
#
#Copyright (c) 2014 by Micron Optics, Inc.  All Rights Reserved
#
"""This will open a simple command console from the command line.
Usage: simpleconsole.py ipaddress [port]
ipaddress is a string and should be enclosed in quotations: eg. "192.168.2.6"
Default port is hyperion.COMMAND_PORT
"""
import sys
import readline
try:
    import hyperion
except Exception:
    sys.path.append('../h.Library')
    import hyperion

if len(sys.argv) < 2:
    print "Usage: simpleconsole.py ipaddress [port]"
    exit()

ipAddress = sys.argv[1]

if len(sys.argv) == 3:
    port = int(sys.argv[2]) 
    h1 = hyperion.HCommTCPSocket(ipAddress, port, timeout = 10000 )
else:
    h1 = hyperion.HCommTCPSocket(ipAddress, timeout = 10000)
try:
    response = h1.execute_command("#GetSerialNumber")
    print response["message"]

    promptString = "hyp:" + response["content"] + ">"
except:
    promptString = "hyp:>"

command = raw_input(promptString)
while command != "exit":
    if len(command) == 0:
        pass
    elif command[0] != "#":
        print """Hyperion Commands begin with #.  Use #help for complete list
        of valid commands.  Type "exit" to close the console."""
    else:
        pCommand = command.partition(" ")
        try:
            h1.execute_command(pCommand[0], pCommand[2])
        except hyperion.HyperionError as e:
            print "Hyperion Error " + e.string
        else:
            print h1.lastResponse['message']
        
    command = raw_input(promptString)

h1.close()
        

            

